URISyntax (Java SE 22 & JDK 22)
Description: declaration: module: java.desktop, package: javax.print.attribute, class: URISyntax
Keywords: javax.print.attribute.URISyntax class

Module java.desktop
Package javax.print.attribute

# Class URISyntax

java.lang.Object
javax.print.attribute.URISyntax

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Direct Known Subclasses:
  `Destination`, `PrinterMoreInfo`, `PrinterMoreInfoManufacturer`, `PrinterURI`

public abstract class URISyntax extends Object implements Serializable, Cloneable
Class `URISyntax` is an abstract base class providing the common implementation of all attributes whose value is a Uniform Resource Identifier (URI). Once constructed, a `URI` attribute's value is immutable.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `URISyntax(URI uri)`
  Constructs a `URI` attribute with the specified `URI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  Returns whether this `URI` attribute is equivalent to the passed in object.
  `URI`
  `getURI()`
  Returns this `URI` attribute's `URI` value.
  `int`
  `hashCode()`
  Returns a hashcode for this `URI` attribute.
  `String`
  `toString()`
  Returns a `String` identifying this `URI` attribute.

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### URISyntax

    protected URISyntax(URI uri)
    Constructs a `URI` attribute with the specified `URI`.
    Parameters:
      `uri` - the `URI`
    Throws:
      `NullPointerException` - if `uri` is `null`

- ## Method Details

  - ### getURI

    public URI getURI()
    Returns this `URI` attribute's `URI` value.
    Returns:
      the `URI`

  - ### hashCode

    public int hashCode()
    Returns a hashcode for this `URI` attribute.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hashcode value for this object
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(java.lang.Object)`

  - ### equals

    public boolean equals(Object object)
    Returns whether this `URI` attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
    1. `object` is not `null`.
    2. `object` is an instance of class `URISyntax`.
    3. This `URI` attribute's underlying `URI` and `object`'s underlying `URI` are equal.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `object` - `Object` to compare to
    Returns:
      `true` if `object` is equivalent to this `URI` attribute, `false` otherwise
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### toString

    public String toString()
    Returns a `String` identifying this `URI` attribute. The `String` is the string representation of the attribute's underlying `URI`.
    Overrides:
      `toString` in class `Object`
    Returns:
      a `String` identifying this object